This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 344861 - No ethernet controller driver on windows 2003 server of IA64 platform
No ethernet controller driver on windows 2003 server of IA64 platform
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.1
ia64 Windows
low Severity urgent
: ---
: ---
Assigned To: Xen Maintainance List
Ales Zelinka
:
Depends On:
Blocks: RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2007-10-21 22:45 EDT by Dylan
Modified: 2009-01-20 16:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
e1000 network device emulation for guests has been added in this update, supporting only Windows 2003 guests on the ia64 architecture. To use e1000 emulation, the xm command must be used.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:15:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patches (19.53 KB, application/octet-stream)
2008-08-12 16:34 EDT, Tetsu Yamamoto
no flags Details
additional proposed patch (1.69 KB, patch)
2008-08-21 15:55 EDT, Tetsu Yamamoto
no flags Details | Diff

  None (edit)
Description Dylan 2007-10-21 22:45:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
I installed Fully Virtualized guest os window server 2003 on redhat5.1 of ia64
itanium 2 platform, but from
Device Manager of windows I find that the ethernet adapter is not in good
condition, there is no driver for it. 


Steps to Reproduce:
1. Create Fully Virtualized machine using VMM
2. Install Windows Server 2003 on the VM created by 1
3. Open Device manager of windows
  
Actual results:
The Ethernet Controller and a PCI device are not in good condition. No network

Expected results:
The Ethernet Controller and a PCI device work.

Additional info:
Comment 1 Don Domingo 2008-01-31 22:36:15 EST
reassigning to kernel-xen. 

VIRTUALIZATION refers to the documentation only. 
Comment 3 Tetsu Yamamoto 2008-08-12 12:44:32 EDT
The following pathces add e1000 emulation which windows server 2003 guest on ia64/xen can use.

- ioemu: e1000 emulation
  http://xenbits.xensource.com/xen-unstable.hg?rev/2749d15c7410
- ioemu: Fix e1000 mmio range size.
  http://xenbits.xensource.com/xen-unstable.hg?rev/2b940e46857c
- ioemu: e1000: fix a TSE bug
  http://xenbits.xensource.com/xen-unstable.hg?rev/2b940e46857c

NB.  To use e1000 on windows server 2003 correctly, Intel's driver is necessary.
Comment 4 Tetsu Yamamoto 2008-08-12 16:34:36 EDT
Created attachment 314139 [details]
proposed patches
Comment 6 Tetsu Yamamoto 2008-08-21 15:55:08 EDT
Created attachment 314746 [details]
additional proposed patch

This patch is needed to fix unaligned access which occurs during communication.

qemu-xen-unstable.git:
commit 88738c09ab04fb10dc63204cb02f8992a43d1de0
Author: aurel32 <aurel32@c046a42c-6fe2-441c-8c8c-71466251a162>
Date:   Fri Mar 28 22:30:48 2008 +0000

    e1000: fix unaligned access
    
    (Tristan Gingold)
    
    
    git-svn-id: svn://svn.savannah.nongnu.org/qemu/trunk@4121 c046a42c-6fe2-441c-8c8c-71466251a162
Comment 8 Daniel Berrange 2008-09-09 05:48:09 EDT
Built into xen-3.0.3-72.el5
Comment 10 Bill Burns 2008-10-27 10:21:17 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Note that e1000 network device emulation for guests was added for this release. It provide the only capability for networking on Windows 2003 guests on ia64. But it does not function with the recommended virt tools and the Xen tools must be used to make used of the e1000 emulation.
Comment 12 Ryan Lerch 2008-11-18 23:58:30 EST
This release note is now in the 5.3 Release Notes.
The changes should be visible internally (within 12 hours) on:
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.3/html/Release_Notes/
Comment 13 Ryan Lerch 2008-11-18 23:58:30 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Note that e1000 network device emulation for guests was added for this release. It provide the only capability for networking on Windows 2003 guests on ia64. But it does not function with the recommended virt tools and the Xen tools must be used to make used of the e1000 emulation.+e1000 network device emulation for guests has been added in this update, supporting only Windows 2003 guests on the ia64 architecture. To use e1000 emulation, the xm command must be used.
Comment 19 errata-xmlrpc 2009-01-20 16:15:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0118.html

Note You need to log in before you can comment on or make changes to this bug.